Loading...
Searching...
No Matches
juce::SortFunctionConverter< ElementComparator > Struct Template Reference

`#include <juce_ElementComparator.h>`

## Public Member Functions

| SortFunctionConverter (ElementComparator &e)
| SortFunctionConverter (const SortFunctionConverter &)=default
template<typename Type>
bool | operator() (Type a, Type b)

## Detailed Description

template<typename ElementComparator>
struct juce::SortFunctionConverter< ElementComparator >

This is an internal helper class which converts a juce ElementComparator style class (using a "compareElements" method) into a class that's compatible with std::sort (i.e. using an operator() to compare the elements)

Definition at line 35 of file juce_ElementComparator.h.

## Constructor & Destructor Documentation

## SortFunctionConverter()

template<typename ElementComparator>

juce::SortFunctionConverter< ElementComparator >::SortFunctionConverter | ( | ElementComparator & | e | ) |

inline

Definition at line 37 of file juce_ElementComparator.h.

## Member Function Documentation

## operator()()

template<typename ElementComparator>
template<typename Type>

bool juce::SortFunctionConverter< ElementComparator >::operator() | ( | Type | a,
|  | Type | b )

inline

Definition at line 41 of file juce_ElementComparator.h.

The documentation for this struct was generated from the following file:

- juce_ElementComparator.h